﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace TrabalhoLP
{
    class Revisor : Pessoa
    {
        List<int> codigosTemas;
        List<Revisao> revisoes;

        public Revisor() 
        {
            codigosTemas = new List<int>();
            revisoes = new List<Revisao>();
        }

        public double getMediaRevisoes() 
        {   
	        double media = 0;
	        if(revisoes.Count != 0)
	        {   
  		      foreach(Revisao r in revisoes)  
			    media = media + r.getMedia();

		        return media/revisoes.Count;
	        }
	        return media;


        }

        public void addRevisao(Revisao r)
        {
            revisoes.Add(r);
        }

        public List<Revisao> getRevisoes()
        {
            return revisoes;
        }

        public void addCodigoTema(int cod)
        {
            codigosTemas.Add(cod);
        }

        public List<int> getCodigosTemas()
        {
            return codigosTemas;
        }



    }
}
