﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace TrabalhoLP
{
    class Artigo
    {
        string titulo;
        int codigo, codigoAutorContato;
        Autor autorContato;
        double mediaRevisoes;
        List<int> codigosAutores;
        List<Revisao> revisoes;  

        public Artigo() 
        {
            codigoAutorContato = 0;
            codigo = 0;
            mediaRevisoes = 0;
            codigosAutores = new List<int>();
            revisoes = new List<Revisao>();
           

        }

        public List<Revisao> getRevisoes()
        {
            return revisoes;
        }

        public List<int> getCodigosAutores()
        {
            return codigosAutores;
        }

        public void addCodigoAutor(int cod)
        {
            codigosAutores.Add(cod);
        }
        public void addRevisao(Revisao r)
        {
            revisoes.Add(r);
        }
        public double getMediaRevisoes ()
        {
            mediaRevisoes = 0;
			 foreach(Revisao r in revisoes)
			     mediaRevisoes = mediaRevisoes + r.getMedia();
 		    
		    mediaRevisoes = mediaRevisoes/3;

            return mediaRevisoes;
        }

        public Autor getAutorContato()
        {
            return autorContato;
        }

        public void setAutorContato(Autor autorContato)
        {
            this.autorContato = autorContato;
        }


        public string getTitulo()
        {
            return titulo;
        }


        public void setTitulo(string titulo)
        {
            this.titulo = titulo;
        }


        public int getCodigo()
        {
            return codigo;
        }


        public void setCodigo(int codigo)
        {
            this.codigo = codigo;
        }


        public int getCodigoAutorContato()
        {
            return codigoAutorContato;
        }


        public void setCodigoAutorContato(int codigoAutorContato)
        {
            this.codigoAutorContato = codigoAutorContato;
        }

        

        public void setMediaRevisoes(double mediaRevisoes)
        {
            this.mediaRevisoes = mediaRevisoes;
        }

    }
        
}
